Subject: Re: [MEXT] I-D Action:draft-ietf-monami6-multiplecoa-11.txt

From: Yungui Wang <[email-masked]>
Date: Thu, 26 Feb 2009 09:34:08 +0800

Hello Ryuji

Two minor nits:
1. as section 5.6 described, the binding BID3 is still existing in
 the HA, so it should be added into the Binding Cache Database 
of the figure 3.

     Binding Cache Database:
        home agent's binding
              binding [2001:db8::EUI  BID1 care-of address1]
              binding [2001:db8::EUI  BID2 care-of address2]
>>> added >>>
              binding [2001:db8::EUI  BID3 home-of address]
or
              binding [2001:db8::EUI  BID3 link-layer address] ?
>>> end >>>
        correspondent node's binding
              binding [2001:db8::EUI  BID1 care-of address1]
              binding [2001:db8::EUI  BID2 care-of address2]

  Figure 3: Simultaneous Home and Visited Link Operation

2. Page 22:
If the home agent, according to its local policy, needs to deliver
       packets to the mobile node over the home link, an issue arises
       with respect to how the home agent discovers the mobile node's
       link local address.  This specification uses the Mobility Header
      ^^^^^^^^^^^^^^^^^^^^^^^ Here is 'link-layer address'.
       Link-layer Address Option defined in [RFC-5268] in order to carry
       the mobile node's link-layer address in the Binding Update.

B.R.  /Yungui

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of [email-masked]
> Sent: Tuesday, January 13, 2009 12:30 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [MEXT] I-D Action:draft-ietf-monami6-multiplecoa-11.txt
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> This draft is a work item of the Mobility EXTensions for IPv6 
> Working Group of the IETF.
> 
> 
> 	Title           : Multiple Care-of Addresses Registration
> 	Author(s)       : R. Wakikawa, et al.
> 	Filename        : draft-ietf-monami6-multiplecoa-11.txt
> 	Pages           : 44
> 	Date            : 2009-01-12
> 
> According to the current Mobile IPv6 specification, a mobile 
> node may have several care-of addresses, but only one, called 
> the primary care-of address, that can be registered with its 
> home agent and the correspondent nodes.  However, for matters 
> of cost, bandwidth, delay, etc, it is useful for the mobile 
> node to get Internet access through multiple accesses 
> simultaneously, in which case the mobile node would be 
> configured with multiple active IPv6 care-of addresses.  This 
> document proposes extensions to the Mobile IPv6 protocol to 
> register and use multiple care-of addresses.  The extensions 
> proposed in this document can be used by Mobile Routers using 
> the NEMO (Network
> Mobility) Basic Support protocol as well.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-monami6-multipl
> ecoa-11.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail 
> reader implementation to automatically retrieve the ASCII 
> version of the Internet-Draft.
>